package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunProjectMemberWeekHourDO extends BasicDO{
    /**
     * 表名
     */
    public static final String SCHEMA_CODE ="D001789acd16549a4954038915e0cf60ad81552";

    /**
     * 项目ID
     */
    @JsonProperty("F0000001")
    private String projectId;

    /**
     * 用户ID
     */
    @JsonProperty("F0000002")
    private String userId;

    /**
     * 项目类型
     */
    @JsonProperty("F0000003")
    private String projectType;

    /**
     * 总工时
     */
    @JsonProperty("F0000004")
    private BigDecimal totalHour;

    /**
     * 总人天
     */
    @JsonProperty("F0000005")
    private BigDecimal personDays;

    /**
     * 周数
     */
    @JsonProperty("F0000006")
    private String week;
}
